You are not logged in.

#26 2008-12-28 21:53:53

jonkristian
Member
From: Norway
Registered: 2007-03-09
Posts: 101
Website

Re: PLEASE READ BEFORE UPGRADING

Misfit138 wrote:

Pacman will not upgrade, modify, nor change system configuration files.
In short, Pacman will not automatically reconfigure your system for you. (Again, this is a feature, not a flaw.)

This might (in some cases) cause a confusion.
A .pacsave file is created during a package removal (pacman -R, which is also called automatically by pacman -U and pacman -Su)
when the pacman database indicates that a certain file owned by the package should be renamed with a .pacsave extension if it was previously modified by the user.

(Taken from http://wiki.archlinux.org/index.php/Pac … ave_Files)


PROCRASTINATION
is like masturbation...it's good in the beginning, but in the end, you realize
you've just fkd yourself

Offline

#27 2010-08-14 13:37:49

keenerd
Trusted User (TU)
Registered: 2007-02-22
Posts: 647
Website

Re: PLEASE READ BEFORE UPGRADING

Despite pacman not being an "automatic system maintenance program", a large portion of these steps can be automated.

Pacmatic will check the news for you before updates, warn you about -Sy, and pester you to take care of pacnew files.  I'm working on a feature that will recommend which AUR packages need rebuilding.

See https://bbs.archlinux.org/viewtopic.php?id=78559 for more details.

Offline

#28 2010-09-07 00:14:06

Eddotan
Member
From: Colombia
Registered: 2010-08-19
Posts: 21

Re: PLEASE READ BEFORE UPGRADING

great post :-P
i have Arch news on my RSS Reader, so im lazy to read in websites XD

Offline

#29 2011-01-12 12:54:14

welpert
Member
From: the Netherlands
Registered: 2011-01-11
Posts: 73

Re: PLEASE READ BEFORE UPGRADING

If you're a bit of a noob like me, don't accidentally do a "pacman -Rc networkmanager avahi samba netfs" in stead of a "pacman -Rs networkmanager avahi samba netfs" wink Luckily I spotted my error fast enough to ctrl-C fast enough to be able to reinstall the uninstalled packages without problems..


“Great art is horseshit, buy tacos.” - Charles Bukowski

freenode/archlinux: nl-trisk

Offline

#30 2011-07-03 18:04:15

AK-33
Member
Registered: 2011-07-02
Posts: 9

Re: PLEASE READ BEFORE UPGRADING

Hi, all.

First post.

I'm a relative n00b to *nix. After re-installing Arch for the 10th time (that's not an exaggeration), I finally got an Internet connection and upgraded to the 2.6.39 kernel. Then, for whatever reason, I decided to upgrade glibc... which actually downgraded the package because I guess the mirrors don't keep up to date as much as they should. Now, nothing works anymore, and I can't even log in. Thus, I must re-install everything from scratch, which should be another 5 hours of fun.

I wish (and forgive my n00b-ness if this already exists) there would be an option for pacman to only downgrade during a -Syu if the user specifies it with a flag. sad

Offline

#31 2011-07-03 18:21:07

jasonwryan
Forum & Wiki Admin
From: .nz
Registered: 2009-05-09
Posts: 19,076
Website

Re: PLEASE READ BEFORE UPGRADING

Arch is a rolling release - downgrading is the exception, not commonplace.

Closing this as it is stickied, not a support/feature request thread.


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

Board footer

Powered by FluxBB